View a markdown version of this page

ListCodeReviewJobsForCodeReview - AWS Security Agent

ListCodeReviewJobsForCodeReview

Returns a paginated list of code review job summaries for the specified code review configuration.

Request Syntax

POST /ListCodeReviewJobsForCodeReview HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "codeReviewId": "string", "maxResults": number, "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space.

Type: String

Required: Yes

codeReviewId

The unique identifier of the code review to list jobs for.

Type: String

Required: Yes

maxResults

The maximum number of results to return in a single call.

Type: Integer

Required: No

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "codeReviewJobSummaries": [ { "codeReviewId": "string", "codeReviewJobId": "string", "createdAt": "string", "status": "string", "title": "string", "updatedAt": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

codeReviewJobSummaries

The list of code review job summaries.

Type: Array of CodeReviewJobSummary objects

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: